Bug 1262090 - [abrt] nautilus: build_file_list_from_uris(): nautilus killed by SIGSEGV
[abrt] nautilus: build_file_list_from_uris(): nautilus killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:8675b17e99bf42cbbee09881a43...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-10 15:23 EDT by Stephen Gallagher
Modified: 2016-12-20 09:36 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:36:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (77.91 KB, text/plain)
2015-09-10 15:23 EDT, Stephen Gallagher
no flags Details
File: cgroup (191 bytes, text/plain)
2015-09-10 15:23 EDT, Stephen Gallagher
no flags Details
File: core_backtrace (9.12 KB, text/plain)
2015-09-10 15:23 EDT, Stephen Gallagher
no flags Details
File: dso_list (12.57 KB, text/plain)
2015-09-10 15:23 EDT, Stephen Gallagher
no flags Details
File: environ (960 bytes, text/plain)
2015-09-10 15:23 EDT, Stephen Gallagher
no flags Details
File: exploitable (82 bytes, text/plain)
2015-09-10 15:23 EDT, Stephen Gallagher
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-10 15:23 EDT, Stephen Gallagher
no flags Details
File: maps (63.34 KB, text/plain)
2015-09-10 15:23 EDT, Stephen Gallagher
no flags Details
File: mountinfo (3.38 KB, text/plain)
2015-09-10 15:23 EDT, Stephen Gallagher
no flags Details
File: namespaces (85 bytes, text/plain)
2015-09-10 15:23 EDT, Stephen Gallagher
no flags Details
File: open_fds (3.27 KB, text/plain)
2015-09-10 15:23 EDT, Stephen Gallagher
no flags Details
File: proc_pid_status (1.03 KB, text/plain)
2015-09-10 15:23 EDT, Stephen Gallagher
no flags Details
File: var_log_messages (315 bytes, text/plain)
2015-09-10 15:23 EDT, Stephen Gallagher
no flags Details

  None (edit)
Description Stephen Gallagher 2015-09-10 15:23:36 EDT
Description of problem:
I tried to use Nautilus to copy a large (2.1GB) file from an SMB network share to a local folder.

Version-Release number of selected component:
nautilus-3.17.91-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: build_file_list_from_uris
executable:     /usr/bin/nautilus
global_pid:     29756
kernel:         4.2.0-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            13041

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 build_file_list_from_uris at /usr/lib64/libgtk-3.so.0
 #1 drag_data_received_callback at /usr/lib64/libgtk-3.so.0
 #2 _gtk_marshal_VOID__OBJECT_INT_INT_BOXED_UINT_UINT at /usr/lib64/libgtk-3.so.0
 #6 g_signal_emit_by_name at /usr/lib64/libgobject-2.0.so.0
 #7 gtk_drag_selection_received at /usr/lib64/libgtk-3.so.0
 #11 g_signal_emit_by_name at /usr/lib64/libgobject-2.0.so.0
 #12 gtk_selection_retrieval_report at /usr/lib64/libgtk-3.so.0
 #13 gtk_selection_convert at /usr/lib64/libgtk-3.so.0
 #14 drag_motion_callback at /usr/lib64/libgtk-3.so.0
 #15 _gtk_marshal_BOOLEAN__OBJECT_INT_INT_UINT at /usr/lib64/libgtk-3.so.0

Potential duplicate: bug 1055173
Comment 1 Stephen Gallagher 2015-09-10 15:23:38 EDT
Created attachment 1072342 [details]
File: backtrace
Comment 2 Stephen Gallagher 2015-09-10 15:23:39 EDT
Created attachment 1072343 [details]
File: cgroup
Comment 3 Stephen Gallagher 2015-09-10 15:23:40 EDT
Created attachment 1072344 [details]
File: core_backtrace
Comment 4 Stephen Gallagher 2015-09-10 15:23:41 EDT
Created attachment 1072345 [details]
File: dso_list
Comment 5 Stephen Gallagher 2015-09-10 15:23:42 EDT
Created attachment 1072346 [details]
File: environ
Comment 6 Stephen Gallagher 2015-09-10 15:23:44 EDT
Created attachment 1072347 [details]
File: exploitable
Comment 7 Stephen Gallagher 2015-09-10 15:23:44 EDT
Created attachment 1072348 [details]
File: limits
Comment 8 Stephen Gallagher 2015-09-10 15:23:46 EDT
Created attachment 1072349 [details]
File: maps
Comment 9 Stephen Gallagher 2015-09-10 15:23:47 EDT
Created attachment 1072350 [details]
File: mountinfo
Comment 10 Stephen Gallagher 2015-09-10 15:23:48 EDT
Created attachment 1072351 [details]
File: namespaces
Comment 11 Stephen Gallagher 2015-09-10 15:23:49 EDT
Created attachment 1072352 [details]
File: open_fds
Comment 12 Stephen Gallagher 2015-09-10 15:23:49 EDT
Created attachment 1072353 [details]
File: proc_pid_status
Comment 13 Stephen Gallagher 2015-09-10 15:23:50 EDT
Created attachment 1072354 [details]
File: var_log_messages
Comment 14 Berend De Schouwer 2015-09-26 10:42:14 EDT
Another user experienced a similar problem:

Copying a file using drag-and-drop.

I intended to move a file, but Nautilus 3.18 seems to always want to copy instead.

reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: build_file_list_from_uris
executable:     /usr/bin/nautilus
global_pid:     17308
kernel:         4.2.1-300.fc23.x86_64
package:        nautilus-3.18.0-1.fc23
reason:         nautilus killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Gwendal 2015-11-10 05:48:38 EST
Another user experienced a similar problem:

Drag and from a file from Evolution to Nautilus

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: build_file_list_from_uris
executable:     /usr/bin/nautilus
global_pid:     8772
kernel:         4.2.5-300.fc23.x86_64
package:        nautilus-3.18.1-1.fc23
reason:         nautilus killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Berend De Schouwer 2015-11-10 05:59:30 EST
(In reply to Berend De Schouwer from comment #14)
> Another user experienced a similar problem:
> 
> Copying a file using drag-and-drop.
> 
> I intended to move a file, but Nautilus 3.18 seems to always want to copy
> instead.

The always-copy was/is triggered by a Wayland/GTK+ shortcoming: https://bugzilla.gnome.org/show_bug.cgi?id=755625
Comment 17 张鑫 2015-11-24 00:31:57 EST
Another user experienced a similar problem:

logout

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: build_file_list_from_uris
executable:     /usr/bin/nautilus
global_pid:     18833
kernel:         4.2.6-300.fc23.x86_64
package:        nautilus-3.18.1-1.fc23
reason:         nautilus killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 18 Fedora End Of Life 2016-11-24 07:29:03 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2016-12-20 09:36:41 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.